Package de.willuhn.jameica.hbci.forecast

# Class SaldoLimit

java.lang.Object
de.willuhn.jameica.hbci.forecast.SaldoLimit

public class SaldoLimit extends Object
Definiert ein Saldo-Limit.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`SaldoLimit.Type`
Enum mit den Arten von Limits.

## Constructor Summary

Constructors
Constructor
Description
`SaldoLimit(Konto konto, SaldoLimit.Type type)`
ct.

## Method Summary

Modifier and Type
Method
Description
`Date`
`getDate()`
Liefert ein konkretes Datum, an dem der Saldo erreicht wurde.
`int`
`getDays()`
Liefert die Anzahl der Tage fuer das Limit.
`Konto`
`getKonto()`
Liefert das Konto.
`SaldoLimit.Type`
`getType()`
Liefert die Art des Limits.
`double`
`getValue()`
Liefert den Betrag.
`boolean`
`isEnabled()`
Liefert true, wenn das Limit aktiv ist.
`boolean`
`isNotify()`
Liefert true, wenn benachrichtigt werden soll.
`void`
`setDate(Date date)`
Speichert das konkrete Datum, an dem der Saldo erreicht wurde.
`void`
`setDays(int days)`
Speichert die Anzahl der Tage fuer das Limit.
`void`
`setEnabled(boolean enabled)`
Legt fest, ob das Limit aktiv ist.
`void`
`setNotify(boolean notify)`
Speichert, ob benachrichtigt werden soll.
`void`
`setValue(double value)`
Speichert den Betrag.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SaldoLimit

public SaldoLimit(Konto konto, SaldoLimit.Type type)
ct.

Parameters:
  `konto` - das Konto.
  `type` - die Art des Limits.

## Method Details

### getKonto

public Konto getKonto()
Liefert das Konto.

Returns:
  das Konto.

### getType

public SaldoLimit.Type getType()
Liefert die Art des Limits.

Returns:
  type die Art des Limits.

### getDate

public Date getDate()
Liefert ein konkretes Datum, an dem der Saldo erreicht wurde.

Returns:
  date ein konkretes Datum, an dem der Saldo erreicht wurde.

### setDate

public void setDate(Date date)
Speichert das konkrete Datum, an dem der Saldo erreicht wurde.

Parameters:
  `date` - das konkrete Datum, an dem der Saldo erreicht wurde.

### isEnabled

public boolean isEnabled()
Liefert true, wenn das Limit aktiv ist.

Returns:
  enabled true, wenn das Limit aktiv ist.

### setEnabled

public void setEnabled(boolean enabled)
Legt fest, ob das Limit aktiv ist.

Parameters:
  `enabled` - true, wenn das Limit aktiv ist.

### isNotify

public boolean isNotify()
Liefert true, wenn benachrichtigt werden soll.

Returns:
  true, wenn benachrichtigt werden soll.

### setNotify

public void setNotify(boolean notify)
Speichert, ob benachrichtigt werden soll.

Parameters:
  `notify` - true, wenn benachrichtigt werden soll.

### getDays

public int getDays()
Liefert die Anzahl der Tage fuer das Limit.

Returns:
  days die Anzahl der Tage fuer das Limit.

### setDays

public void setDays(int days)
Speichert die Anzahl der Tage fuer das Limit.

Parameters:
  `days` - die Anzahl der Tage fuer das Limit.

### getValue

public double getValue()
Liefert den Betrag.

Returns:
  value der Betrag.

### setValue

public void setValue(double value)
Speichert den Betrag.

Parameters:
  `value` - der Betrag.